package com.op.wms.mapper;

import java.util.Date;
import java.util.List;

import com.op.wms.domain.BaseShiftsT;

/**
 * 班次管理Mapper接口
 * 
 * @author Open Platform
 * @date 2023-07-06
 */
public interface BaseShiftsTMapper {
	/**
	 * 查询班次管理
	 * 
	 * @param shiftId 班次管理主键
	 * @return 班次管理
	 */
	public BaseShiftsT selectBaseShiftsTByShiftId(String shiftId);

	/**
	 * 查询班次管理列表
	 * 
	 * @param baseShiftsT 班次管理
	 * @return 班次管理集合
	 */
	public List<BaseShiftsT> selectBaseShiftsTList(BaseShiftsT baseShiftsT);

	/**
	 * 新增班次管理
	 * 
	 * @param baseShiftsT 班次管理
	 * @return 结果
	 */
	public int insertBaseShiftsT(BaseShiftsT baseShiftsT);

	/**
	 * 修改班次管理
	 * 
	 * @param baseShiftsT 班次管理
	 * @return 结果
	 */
	public int updateBaseShiftsT(BaseShiftsT baseShiftsT);

	/**
	 * 删除班次管理
	 * 
	 * @param shiftId 班次管理主键
	 * @return 结果
	 */
	public int deleteBaseShiftsTByShiftId(String shiftId);

	/**
	 * 批量删除班次管理
	 * 
	 * @param shiftIds 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteBaseShiftsTByShiftIds(String[] shiftIds);

    List<Date> queryAllStartTime(BaseShiftsT baseShiftsT);

	List<Date> queryAllEndTime(BaseShiftsT baseShiftsT);
}
